Package fr.gouv.vitam.common.storage.cas.container.api

# Interface VitamStorageMetadata

All Superinterfaces:
  `Comparable<VitamResourceMetadata<StorageType>>`, `VitamResourceMetadata<StorageType>`

public interface VitamStorageMetadata extends VitamResourceMetadata<StorageType>
VitamStorageMetadata interface describing storage metadata

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getCreationDate()`
  Creation date of the resource, possibly null.
  `String`
  `getETag()`
  The eTag value stored in the Etag header returned by HTTP.
  `Date`
  `getLastModified()`
  Last modification time of the resource
  `String`
  `getName()`
  Name of this resource.
  `String`
  `getProviderId()`
  Unique identifier of this resource within its enclosing namespace.
  `Long`
  `getSize()`
  Size of the resource, possibly null.
  `StorageType`
  `getType()`
  Whether this resource is a container, file, etc.
  `URI`
  `getUri()`
  URI used to access this resource
  `Map<String,String>`
  `getUserMetadata()`
  Any key-value pairs associated with the resource.

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

  ### Methods inherited from interface fr.gouv.vitam.common.storage.cas.container.api.VitamResourceMetadata

  `getLocation`

- ## Method Details

  - ### getType

    StorageType getType()
    Whether this resource is a container, file, etc.
    Specified by:
      `getType` in interface `VitamResourceMetadata<StorageType>`

  - ### getProviderId

    String getProviderId()
    Unique identifier of this resource within its enclosing namespace. In some scenarios, this id is not user assignable. For files, this may be an system generated key, or the full path to the resource. ex. /path/to/file.txt
    Specified by:
      `getProviderId` in interface `VitamResourceMetadata<StorageType>`

  - ### getName

    String getName()
    Name of this resource. Names are dictated by the user. For files, this may be the filename, ex. file.txt
    Specified by:
      `getName` in interface `VitamResourceMetadata<StorageType>`

  - ### getUri

    URI getUri()
    URI used to access this resource
    Specified by:
      `getUri` in interface `VitamResourceMetadata<StorageType>`

  - ### getUserMetadata

    Map<String,String> getUserMetadata()
    Any key-value pairs associated with the resource.
    Specified by:
      `getUserMetadata` in interface `VitamResourceMetadata<StorageType>`

  - ### getETag

    String getETag()
    The eTag value stored in the Etag header returned by HTTP.

  - ### getCreationDate

    Date getCreationDate()
    Creation date of the resource, possibly null.

  - ### getLastModified

    Date getLastModified()
    Last modification time of the resource

  - ### getSize

    Long getSize()
    Size of the resource, possibly null.